Loading...
Searching...
No Matches
irr::gui::IGUIFontBitmap Class Referenceabstract

Font interface. More...

`#include <IGUIFontBitmap.h>`

Inheritance diagram for irr::gui::IGUIFontBitmap:

## Public Member Functions

virtual s32 | getKerningWidth (const wchar_t *thisLetter=0, const wchar_t *previousLetter=0) const =0
| Gets kerning values (distance between letters) for the font. If no parameters are provided,.
virtual IGUISpriteBank * | getSpriteBank () const =0
| returns the parsed Symbol Information
virtual u32 | getSpriteNoFromChar (const wchar_t *c) const =0
| returns the sprite number from a given character
virtual EGUI_FONT_TYPE | getType () const
| Returns the type of this font.
Public Member Functions inherited from irr::gui::IGUIFont
virtual void | draw (const core::stringw &text, const core::rect< s32 > &position, video::SColor color, bool hcenter=false, bool vcenter=false, const core::rect< s32 > *clip=0)=0
| Draws some text and clips it to the specified rectangle if wanted.
virtual s32 | getCharacterFromPos (const wchar_t *text, s32 pixel_x) const =0
| Calculates the index of the character in the text which is on a specific position.
virtual core::dimension2d< u32 > | getDimension (const wchar_t *text) const =0
| Calculates the width and height of a given string of text.
virtual s32 | getKerningHeight () const =0
| Returns the distance between letters.
virtual void | setInvisibleCharacters (const wchar_t *s)=0
| Define which characters should not be drawn by the font.
virtual void | setKerningHeight (s32 kerning)=0
| Sets global kerning height for the font.
virtual void | setKerningWidth (s32 kerning)=0
| Sets global kerning width for the font.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

Font interface.

Definition at line 17 of file IGUIFontBitmap.h.

## Member Function Documentation

## getKerningWidth()

virtual s32 irr::gui::IGUIFontBitmap::getKerningWidth | ( | const wchar_t * | thisLetter = 0,
|  | const wchar_t * | previousLetter = 0 ) const

pure virtual

Gets kerning values (distance between letters) for the font. If no parameters are provided,.

the global kerning distance is returned.

Parameters

  thisLetter | If this parameter is provided, the left side kerning for this letter is added to the global kerning value. For example, a space might only be one pixel wide, but it may be displayed as several pixels.
  previousLetter | If provided, kerning is calculated for both letters and added to the global kerning value. For example, EGFT_BITMAP will add the right kerning value of previousLetter to the left side kerning value of thisLetter, then add the global value.

Implements irr::gui::IGUIFont.

## getSpriteBank()

virtual IGUISpriteBank * irr::gui::IGUIFontBitmap::getSpriteBank | ( |  | ) | const

pure virtual

returns the parsed Symbol Information

## getSpriteNoFromChar()

virtual u32 irr::gui::IGUIFontBitmap::getSpriteNoFromChar | ( | const wchar_t * | c | ) | const

pure virtual

returns the sprite number from a given character

## getType()

virtual EGUI_FONT_TYPE irr::gui::IGUIFontBitmap::getType | ( |  | ) | const

inline virtual

Returns the type of this font.

Reimplemented from irr::gui::IGUIFont.

Definition at line 22 of file IGUIFontBitmap.h.

References irr::gui::EGFT_BITMAP.

The documentation for this class was generated from the following file:

- IGUIFontBitmap.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0